updateDeviceConfig(params: UpdateDeviceConfigParams)
Requires:
@tuya-miniapp/cloud-api≥1.0.5
Description
Modify device service configuration items
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<number>
Updated configId
Referenced Types
enum
VisionEventType| Value | Actual Value | Description |
|---|---|---|
VisionEventType.PRESET | 0 | Preset event |
VisionEventType.CUSTOM | 1 | Custom event |
enum
DeviceServiceConfigState| Value | Actual Value | Description |
|---|---|---|
DeviceServiceConfigState.Delete | 0 | Deleted |
DeviceServiceConfigState.Available | 1 | Available |
DeviceServiceConfigState.Unavailable | 2 | Unavailable |
Valid Values
VisionEventType
| Value | Description | Since |
|---|---|---|
0 | Preset event | - |
1 | Custom event | - |
DeviceServiceConfigState
| Value | Description | Since |
|---|---|---|
0 | Deleted | - |
1 | Available | - |
2 | Unavailable | - |
UpdateDeviceConfigParams.serviceBusinessType
| Value | Description | Since |
|---|---|---|
aiSmartFreeEvent | - | - |
aiSmartFreeEventImage2Text | - | - |